Subject: [Dime] comments on draft-ietf-dime-realm-based-redirect-03

From: Sebastien Decugis <[email-masked]>
Date: Fri, 06 Aug 2010 13:44:53 +0900

Hello,

Bellow are my comments on this document. I believe there are a few
points that would deserve to be clarified in the document, but nothing
blocking the next steps.

1) (3.1.1) second list item (editorial):

Furthermore, the redirect agent MUST a Redirect-Realm AVP
                                   ^^^
                              missing word? 

2) (3.1.1) What if the the other peer advertised the Relay application? 
Should the redirect agent consider that it supports the Redirect-Realm application?

3) (3.1.1) "the message MUST include the Error-
      Reporting-Host AVP if the host setting the Result-Code AVP is
      different from the identity encoded in the Origin-Host AVP,"
IIUC this is an impossible situation, since the Redirect Agent did not forward the Request.
I believe this text could be removed for clarity.

4) (3.1.2) What if the original request contains a Destination-Host AVP?
In that case, should a UNABLE_TO_DELIVER error be returned?
There is probably no point in sending to the alternate realm with a Destination-Host in the previous realm, right?
Unless maybe if the Destination-Realm of the request message does not match the Origin-Realm of the Redirect indication 
(change of broker for example). Any opinion?

5) (3.2) This section does not give the value of the M flag for the new AVP.
By the semantics of the application, I believe the M flag should be set, right?

That's all I have.

Best regards,
Sebastien.

-- 
Sebastien Decugis
Research fellow
Network Architecture Group
NICT (nict.go.jp)